function updateTimer()
	dr_clear("timer");
	dr_setautoclear("timer",0);

	local time = Universe_GameTime();

	local h = floor(time / 3600);
	local m = floor(time / 60 - h * 60);
	local s = floor(time - m * 60 - h * 3600);

	local str = format(" Game time : %2.0f:%2.0f:%2.0f", h, m, s);
	dr_text2d("timer", 0, 0.98, str, 255, 255, 255);
	dr_text2d("timer", 0, 0.96, "  AoD Enhancer (v3.1) commands:", 255, 0, 0);
	dr_text2d("timer", 0, 0.94, "   Ctrl-F7: insta-harvest 1k RUs", 255, 200, 0);
	dr_text2d("timer", 0, 0.92, "   Ctrl-F8: upgrade armor (lvl 2)", 255, 200, 0);
	dr_text2d("timer", 0, 0.90, "   Ctrl-F9: upgrade speed (lvl 2)", 55, 254, 0);
	dr_text2d("timer", 0, 0.88, "   Ctrl-F10: repair ship", 255, 200, 0);
	dr_text2d("timer", 0, 0.86, "   Ctrl-F11: cancel enemy EMP", 255, 200, 0);
	dr_text2d("timer", 0, 0.84, "   Ctrl-F12: delete enemy subsystem", 255, 200, 0);
	dr_text2d("timer", 0, 0.82, "   Ctrl-F13: disable OJ's null value", 255, 200, 0);
end

Rule_AddInterval("updateTimer", 2);
